Bug 994613 - spice-xpi: Add Proxy property
Summary: spice-xpi: Add Proxy property
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-xpi
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Christophe Fergeau
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-07 15:35 UTC by Uri Lublin
Modified: 2013-11-21 21:40 UTC (History)
4 users (show)

Fixed In Version: spice-xpi-2.7-24.el6
Doc Type: Enhancement
Doc Text:
Feature: Add proxy support to spice-xpi Reason: Allow to set a proxy to use for SPICE connection when using the spice-xpi browser plugin (for example when opening a console from the RHEV-M portal) Result (if any): It's now possible for spice-xpi to pass proxy setting to the SPICE client it spawns
Clone Of:
Environment:
Last Closed: 2013-11-21 21:40:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1667 normal SHIPPED_LIVE spice-xpi bug fix and enhancement update 2013-11-20 21:52:56 UTC

Description Uri Lublin 2013-08-07 15:35:28 UTC
Description of problem:
Allow controller to pass proxy information to the spice client (remote-viewer).

This matches spice-active-x bug 909496.
The following is copied from bug 909496:

property name is "Proxy", it's a string with the same content description as environment variable or the virt-viewer configuration file. Also described in spice-protocol:

    The value must be of the form [protocol://]<host>[:port]
    
    The proxy string may be specified with a protocol:// prefix to specify
    alternative proxy protocols.
    
    If no protocol is specified in the proxy string or if the string
    doesn't match a supported one, the proxy will be treated as a HTTP
    proxy.

    If no port is specified port 3128 is used (the default port for squid)


The string passed from RHEVM is forwarded to the client without any validation.

Comment 2 Uri Lublin 2013-08-07 15:52:17 UTC
A patch is available upstream. -> POST
http://cgit.freedesktop.org/spice/spice-xpi/commit/?id=e518db3700ed23d3ccc7026b922b236158e501cc

Comment 5 errata-xmlrpc 2013-11-21 21:40:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1667.html


Note You need to log in before you can comment on or make changes to this bug.